Cyberduck Mountain Duck CLI

#272 closed enhancement (fixed)

Extended options for hidden files

Reported by: pb@… Owned by: dkocher
Priority: low Milestone: 3.0
Component: interface Version: 2.5.5
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description

The basic "show hidden files" option is great, but I often have cases where I'd like it to do more. For example:

  • I use some servers that are also accessed via AFP (e.g. Netatalk), which means they are full of ":2eDS_Store" files etc., always (annoyingly) visible because they aren't Unix dotfiles
  • I do Python web development, which means I have directories full of temporary *.pyc and *.pyo files that I almost never need to see or touch
  • In certain cases I'd like to see some dotfiles (.htaccess) and not others (.DAV)

Proposal: simple user-configurable file filtering.

TextMate offers this feature in its Project drawer. A single regex defines what files are included or omitted. This is a little hairy for some, but hey, you don't have to use the feature. I'm trying to suggest something that wouldn't be too much hassle to implement. A special GUI just for manipulating these rules would probably be overkill.

This filter preference could be kept as a global setting (in Preferences) and possibly as a bookmark-specific setting too.

A nice companion feature would be an indicator/toggle in the navigation bar or toolbar that indicates whether file filtering is on. This would be handy even with the current dotfile-only hiding -- sometimes you want to just quickly see (or hide) what's there.

Attachments (1)

tm_filters.png (42.0 KB) - added by pbx on Mar 14, 2006 at 7:51:03 PM.
textate dialog grab

Download all attachments as: .zip

Change History (4)

Changed on Mar 14, 2006 at 7:51:03 PM by pbx

textate dialog grab

comment:1 Changed on Mar 27, 2006 at 5:12:04 PM by anonymous

Dreamweaver hasa similiar feature called "Cloaking". For example I keep create a lot of flash movies, by default when they are exported as a .swf file for the web in the same location as the .fla (source) file. In Dreamweaver we just add .fla files to be "clocked" so that they are invisible to the ftp synchronization. It would be nice to cloak files and directories by globally and by site.

comment:2 Changed on May 10, 2008 at 8:48:57 PM by dkocher

  • Milestone set to 3.1
  • Status changed from new to assigned

comment:3 Changed on May 11, 2008 at 10:12:40 AM by dkocher

  • Milestone changed from 3.1 to 3.0
  • Resolution set to fixed
  • Status changed from assigned to closed

As of r3950 you can specify a regex with the property 'browser.hidden.regex' which files to exclude.

Use i.e

defaults write ch.sudo.cyberduck browser.hidden.regex "\\\..*|.*\\\.pyc|.*\\\.pyo"

to exclude all files that start with a dot, end with .pyc or .pyo. (Tripple excape because of shell escaping)

No grapical preference yet.

Note: See TracTickets for help on using tickets.
swiss made software